<template>
  <div class="dashboard-container">
    <div>
      <!-- <el-card class="box-card"> -->
      <div slot="header" class="clearfix">
        <span>紅利</span>
      </div>
      <div>
        <el-form :ref="formName" :model="model" label-position="left" label-width="150px">
          <el-row>
            <el-col :xs="24" :sm="12" :xl="8">
              <el-form-item label="證照號碼">
                <el-input v-model="model.id" placeholder="身份證號碼、護照號碼" />
              </el-form-item>
            </el-col>
            <el-col :xs="24" :sm="12" :xl="8">
              <el-form-item label="卡號">
                <el-input v-model="model.cardNo" />
              </el-form-item>
            </el-col>
          </el-row>
          <el-row>
            <el-col :xs="24" :sm="12" :xl="8">
              <el-form-item label="證照號碼">
                <el-input v-model="model.id" placeholder="身份證號碼、護照號碼" />
              </el-form-item>
            </el-col>
            <el-col :xs="24" :sm="12" :xl="8">
              <el-form-item label="卡號">
                <el-input v-model="model.cardNo" />
              </el-form-item>
            </el-col>
          </el-row>
          <el-row>
            <el-col>
              <el-button type="primary" @click="onReset(formName)">重置</el-button>
              <el-button type="primary" @click="onSubmit(formName)">查詢</el-button>
            </el-col>
          </el-row>
        </el-form>
      </div>
      <!-- </el-card> -->
    </div>
  </div>
</template>

<script>
import { Message } from 'element-ui'

export default {
  data() {
    return {
      formName: 'form1',
      model: {
        cardNo: '9952123456789',
        id: 'A123456789'
      }
    }
  },
  methods: {
    onSubmit(formName) {
      this.$refs[formName].validate((valid) => {
        if (valid) {
          // alert('submit!')
          Message.success('submit')
        } else {
          console.log('error submit!!')
          return false
        }
      })
    },
    onReset(formName) {
      console.log(`this.$refs[formName] = ${this.$refs[formName]}`)
      this.$refs[formName].resetFields()
    }

  }
}
</script>

<style lang="scss" scoped>
.el-col {
  padding-right: 8px;
}
</style>
